linux-ec2: 2.6.32-375.92 -proposed tracker

Bug #1411354 reported by Brad Figg on 2015-01-15
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Stefan Bader
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 15. January 2015 18:02 UTC
kernel-stable-master-bug:1410907
kernel-stable-Certification-testing-end:Friday, 16. January 2015 13:02 UTC
kernel-stable-Prepare-package-end:Friday, 16. January 2015 15:02 UTC
kernel-stable-Promote-to-proposed-start:Friday, 16. January 2015 15:02 UTC
ppa-package-testing-start:Friday, 16. January 2015 15:02 UTC
kernel-stable-Promote-to-proposed-end:Friday, 16. January 2015 21:02 UTC
kernel-stable-Security-signoff-start:Friday, 16. January 2015 22:02 UTC
kernel-stable-Verification-testing-start:Friday, 16. January 2015 22:02 UTC
kernel-stable-Regression-testing-start:Friday, 16. January 2015 22:02 UTC
kernel-stable-Verification-testing-end:Tuesday, 27. January 2015 04:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 28. January 2015 10:03 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 03. February 2015 09:39 UTC
kernel-stable-Regression-testing-end:Tuesday, 03. February 2015 09:39 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 03. February 2015 15:39 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 03. February 2015 17:08 UTC

This tracking bug was opened to be worked from linux-2.6.32-72.139 update (bug 1410907)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Adam Conrad (adconrad) on 2015-01-15
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
Stefan Bader (smb) on 2015-01-16
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-375.92 -proposed tracker
Brad Figg (brad-figg) on 2015-01-16
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2015-01-16
description: updated
Brad Figg (brad-figg) on 2015-01-16
description: updated
description: updated
Adam Conrad (adconrad) wrote :

No flavour-specific bugs to verify.

Brad Figg (brad-figg) on 2015-01-27
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2015-01-28
description: updated
Stefan Bader (smb) wrote :

Boot-tested as PVM on Ubuntu Xen host.

Adam Conrad (adconrad) on 2015-02-03
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-02-03
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-375.92

---------------
linux-ec2 (2.6.32-375.92) lucid; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-71.138
  * Xen: x86, 64-bit: Move K8 B step iret fixup to fault entry asm
    - LP: #1403918
  * Xen: x86-64, modify_ldt: Ban 16-bit segments on 64-bit kernels
    - LP: #1403918
  * Xen: x86-32, espfix: Remove filter for espfix32 due to race
    - LP: #1403918
  * Xen: x86-64, espfix: Don't leak bits 31:16 of %esp returning to 16-bit
    stack
    - LP: #1403918
  * Xen: x86, espfix: Make espfix64 a Kconfig option, fix UML
    - LP: #1403918
  * Xen: x86, espfix: Make it possible to disable 16-bit support
    - LP: #1403918
  * Xen: x86_64/entry/xen: Do not invoke espfix64 on Xen
    - LP: #1403918
  * Xen: [Config] Enable CONFIG_X86_16BIT
  * Rebased to Ubuntu-2.6.32-72.139
  * Release Tracking Bug
    - LP: #1411354

  [ Ubuntu: 2.6.32-72.139 ]

  * isofs: Fix infinite looping over CE entries
    - LP: #1407947
    - CVE-2014-9420
  * x86/tls: Validate TLS entries to protect espfix
    - LP: #1403852
    - CVE-2014-8133

  [ Ubuntu: 2.6.32-71.138 ]

  * [Config] updateconfigs CONFIG_X86_16BIT=y after v2.6.32.65 update
  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * net:socket: set msg_namelen to 0 if msg_name is passed as NULL in
    msghdr struct from userland.
    - LP: #1335478
  * x86, 64-bit: Move K8 B step iret fixup to fault entry asm
    - LP: #1403918
  * x86-64: Adjust frame type at paranoid_exit:
    - LP: #1403918
  * x86-64, modify_ldt: Ban 16-bit segments on 64-bit kernels
    - LP: #1403918
  * x86-32, espfix: Remove filter for espfix32 due to race
    - LP: #1403918
  * x86-64, espfix: Don't leak bits 31:16 of %esp returning to 16-bit stack
    - LP: #1403918
  * x86, espfix: Move espfix definitions into a separate header file
    - LP: #1403918
  * x86, espfix: Fix broken header guard
    - LP: #1403918
  * x86, espfix: Make espfix64 a Kconfig option, fix UML
    - LP: #1403918
  * x86, espfix: Make it possible to disable 16-bit support
    - LP: #1403918
  * x86_64/entry/xen: Do not invoke espfix64 on Xen
    - LP: #1403918
  * x86/espfix/xen: Fix allocation of pages for paravirt page tables
    - LP: #1403918
  * x86_64, traps: Fix the espfix64 #DF fixup and rewrite it in C
    - LP: #1403918
  * x86_64, traps: Rework bad_iret
    - LP: #1403918
 -- Stefan Bader <email address hidden> Thu, 18 Dec 2014 18:20:27 +0100

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-02-03
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers